* {
  box-sizing: border-box;
}

body {
  margin: 0;
  font-family: Arial, sans-serif;
}

.logo {
  height: 30px;
  width: 30px;
}

.sidebar {
  background-color: #333;
  color: #fff;
  padding: 20px;
  width: 200px;
  height: 100vh;
  position: fixed;
  left: 0;
  top: 0;
}

/* display logo */
.small {
  width: 70px;
  padding: 2px;
}

.displaylogo {
  height: 25px;
  margin: 0 5px;
}

.displaylogo-react {
  width: 60px;
}

.sidebar ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
  margin-top: 20px;
}

.sidebar li {
  margin-bottom: 10px;
}

.sidebar a {
  text-decoration: none;
  color: #fff;
  padding: 8px 16px;
  display: block;
  transition: background-color 0.3s ease;
}

.sidebar a:hover {
  background-color: #666;
}

.sidebar a.active {
  background-color: #666;
}

.content {
  padding: 0 100px 0 250px;
}

/* --------------UseState--------------- */
.steps {
  width: 600px;
  background-color: #f7f7f7;
  border-radius: 7px;
  padding: 25px 100px;
  margin: 100px auto;
}

.numbers {
  display: flex;
  justify-content: space-between;
}

.numbers > div {
  height: 40px;
  aspect-ratio: 1;
  background-color: #e7e7e7;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 18px;
}

.numbers .active {
  background-color: #7950f2;
  color: #fff;
}

.message {
  text-align: center;
  font-size: 20px;
  margin: 40px 0;
  font-weight: bold;

  display: flex;
  flex-direction: column;
  align-items: center;
}

.buttons {
  display: flex;
  justify-content: space-between;
}

.buttons button {
  border: none;
  cursor: pointer;
  padding: 10px 15px;
  border-radius: 100px;
  font-size: 14px;
  font-weight: bold;

  display: flex;
  align-items: center;
  gap: 10px;
}

.buttons button span {
  font-size: 16px;
  line-height: 1;
}

h3 {
  margin: 0;
  text-transform: uppercase;
}
